html {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}
body {
    min-height: 100dvh;
    width: 100vw;
    background-color: black;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
    view-transition-name: root;
}


header {
    top: 0;
    position: sticky;
    color: white;
    display: flex;
    flex-direction: row;
    font-size: 1.5rem;
    align-items: center;
}
header a {
    padding: 5dvh 0 5dvh 5dvh;
    text-decoration: none;
    color: white;
    font-weight: normal;
    text-shadow:
        0 0 5px steelblue,
        0 0 10px steelblue,
        0 0 20px steelblue;
}
header a:hover {
    text-decoration: solid underline;
}
#currentlink {
    color: lightskyblue;
    text-decoration: solid underline;
}
header img {
    height: 10dvh;
    margin-left: auto;
    padding-right: .75rem;
    view-transition-name: logo;
}


.neon {
    text-shadow:
        0 0 10px cyan,
        0 0 5px cyan,
        0 0 2px cyan;
    text-wrap: nowrap;
}


footer {
    background-color: #333;
    color: white;
    box-shadow: 0px -10px 10px 5px #303035;
    padding: 0 10px 0.05px 10px;
    width: 100vw;
}

footer p a {
    color: #5ba8ff;
}


footer .material-symbols-outlined {
    font-size: inherit;
    text-decoration: inherit;
    font-variation-settings:
        'FILL' 0,
        'wght' 100,
        'GRAD' 0,
        'opsz' 48;
}


::view-transition-old(root) {
    animation: fade-out 300ms ease;
}

::view-transition-new(root) {
    animation: fade-in 300ms ease;
}